package de.moritzruth.theaterdsl.value

@JvmInline
value class Temperature(val kelvin: Double) : Comparable<Temperature> {
    override fun toString(): String = "${kelvin}K"

    override fun compareTo(other: Temperature): Int = kelvin.compareTo(other.kelvin)
}
