package de.moritzruth.dracula_musical

import de.moritzruth.dracula_musical.act.act1
import de.moritzruth.dracula_musical.act.act2
import de.moritzruth.dracula_musical.device.devices
import de.moritzruth.dracula_musical.device.fogMachine
import de.moritzruth.theaterdsl.dmx.EnttecOpenDmxUsb
import de.moritzruth.theaterdsl.show.createShow
import de.moritzruth.theaterdsl.show.runShow

val show = createShow {
    act1()
    act2()
}

suspend fun main() {
    EnttecOpenDmxUsb.start()
    runShow(show, devices, fogMachine.power)
}